| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IAIDATupleSvc Class Reference

`#include <GaudiKernel/IAIDATupleSvc.h>`

Inheritance diagram for IAIDATupleSvc:

[legend]
Collaboration diagram for IAIDATupleSvc:

[legend]
List of all members.

## Detailed Description

Definition of the IAIDATupleSvc interface class.

Author:
  Manuel Domenech Saavedra

Date:
  2005-05-23

Definition at line 34 of file IAIDATupleSvc.h.

## Public Member Functions
virtual AIDA::ITuple * | book (const std::string &fullPath, const std::string &title, const std::string &columns)=0
virtual StatusCode | registerObject (const std::string &dirPath, const std::string &objPath, AIDA::ITuple *tObj)=0
virtual StatusCode | registerObject (DataObject *pParent, const std::string &objPath, AIDA::ITuple *tObj)=0
virtual StatusCode | unregisterObject (AIDA::ITuple *tObj)=0
virtual StatusCode | unregisterObject (AIDA::ITuple *tObj, const std::string &objectPath)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::ITuple *&tObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::ITuple *&tObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::ITuple *&tObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::ITuple *&tObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::ITuple *&tObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::ITuple *&tObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::ITuple *&tObj)=0
virtual void | setCriteria (AIDA::ITuple *&tObj, const std::string &criteria)=0
| Set criteria for reading, filtering the input.
virtual DataObject * | createPath (const std::string &newPath)=0
virtual DataObject * | createDirectory (const std::string &parentDir, const std::string &subDir)=0
virtual StatusCode | myTest ()=0
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& IAIDATupleSvc::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IDataProviderSvc.

Definition at line 39 of file IAIDATupleSvc.h.

References IID_IAIDATupleSvc.

    00039 { return IID_IAIDATupleSvc; }

virtual AIDA::ITuple* IAIDATupleSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | const std::string & | columns |
| ) |  |  | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual StatusCode IAIDATupleSvc::registerObject | ( | const std::string & | dirPath,
|  | const std::string & | objPath,
|  | AIDA::ITuple * | tObj |
| ) |  |  | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual StatusCode IAIDATupleSvc::registerObject | ( | DataObject * | pParent,
|  | const std::string & | objPath,
|  | AIDA::ITuple * | tObj |
| ) |  |  | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual StatusCode IAIDATupleSvc::unregisterObject | ( | AIDA::ITuple * | tObj | ) | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual StatusCode IAIDATupleSvc::unregisterObject | ( | AIDA::ITuple * | tObj,
|  | const std::string & | objectPath |
| ) |  |  | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual StatusCode IAIDATupleSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::ITuple *& | tObj |
| ) |  |  | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual StatusCode IAIDATupleSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::ITuple *& | tObj |
| ) |  |  | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual StatusCode IAIDATupleSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::ITuple *& | tObj |
| ) |  |  | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual StatusCode IAIDATupleSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::ITuple *& | tObj |
| ) |  |  | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual StatusCode IAIDATupleSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::ITuple *& | tObj |
| ) |  |  | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual StatusCode IAIDATupleSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::ITuple *& | tObj |
| ) |  |  | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual StatusCode IAIDATupleSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::ITuple *& | tObj |
| ) |  |  | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual void IAIDATupleSvc::setCriteria | ( | AIDA::ITuple *& | tObj,
|  | const std::string & | criteria |
| ) |  |  | `[pure virtual]`

Set criteria for reading, filtering the input.

Implemented in AIDATupleSvc.

virtual DataObject* IAIDATupleSvc::createPath | ( | const std::string & | newPath | ) | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual DataObject* IAIDATupleSvc::createDirectory | ( | const std::string & | parentDir,
|  | const std::string & | subDir |
| ) |  |  | `[pure virtual]`

Implemented in AIDATupleSvc.

virtual StatusCode IAIDATupleSvc::myTest | ( |  | ) | `[pure virtual]`

Implemented in AIDATupleSvc.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IAIDATupleSvc.h